SCSI_ADD_HOST_WITH_D(9)

NAME
scsi_add_host_with_dma - add a scsi host with dma device

SYNOPSIS

int scsi_add_host_with_dma(struct Scsi_Host * shost, struct device * dev, struct device * dma_dev);

ARGUMENTS

shost
    scsi host pointer to add

dev
    a struct device of type scsi class

dma_dev
    dma device for the host

NOTE

You rarely need to worry about this unless you're in a virtualised host environments, so use the simpler scsi_add_host function instead.

RETURN VALUE

0 on success / != 0 for error

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT